package com.idea.buildManage.service;

import cn.hutool.core.util.IdUtil;
import com.idea.buildManage.mapper.HouseTypeMapper;
import com.idea.buildManage.model.*;
import com.rockstar.common.base.BaseService;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.util.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HouseTypeService implements BaseService<HouseType, HouseTypeExample> {

    @Autowired
    private HouseTypeMapper modelMapper;

    @Override
    public int deleteByPrimaryKey(String s) {
        return modelMapper.deleteByPrimaryKey(s);
    }

    @Override
    public int insertSelective(HouseType houseType) {
        houseType.setId(IdUtil.simpleUUID());
        return modelMapper.insertSelective(houseType);
    }

    public int insertWithoutId(HouseType houseType) {
        return modelMapper.insert(houseType);
    }

    @Override
    public HouseType selectByPrimaryKey(String s) {
        return modelMapper.selectByPrimaryKey(s);
    }

    @Override
    public int updateByPrimaryKeySelective(HouseType houseType) {
        return modelMapper.updateByPrimaryKeySelective(houseType);
    }

    @Override
    public int updateByExampleSelective(HouseType houseType, HouseTypeExample houseTypeExample) {
        return modelMapper.updateByExampleSelective(houseType,houseTypeExample);
    }

    @Override
    public int updateByExample(HouseType houseType, HouseTypeExample houseTypeExample) {
        return modelMapper.updateByExample(houseType,houseTypeExample);
    }

    @Override
    public List<HouseType> selectByExample(HouseTypeExample houseTypeExample) {
        return modelMapper.selectByExample(houseTypeExample);
    }

    @Override
    public long countByExample(HouseTypeExample houseTypeExample) {
        return modelMapper.countByExample(houseTypeExample);
    }

    @Override
    public int deleteByExample(HouseTypeExample houseTypeExample) {
        return modelMapper.deleteByExample(houseTypeExample);
    }


    /**
     * 查询指定
     *
     * @return
     */
    public List<HouseType> listAll(HouseType model, DateTrans dt) {
        return modelMapper.selectByExample(getCondition(model, dt));
    }

    private HouseTypeExample getCondition(HouseType model, DateTrans dt) {
        HouseTypeExample ex = new HouseTypeExample();
        HouseTypeExample.Criteria criteria = ex.createCriteria();
        if(StringUtils.isNotEmpty(model.getDiscId())){
            criteria.andDiscIdEqualTo(model.getDiscId());
        }

        return ex;
    }


}
